Bug 182792 - dns/knot: knotd startup script no longer works
dns/knot: knotd startup script no longer works
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 14:00 UTC by kristof
Modified: 2013-11-05 19:42 UTC (History)
0 users

See Also:


Attachments
knotd.patch (828 bytes, patch)
2013-10-10 16:42 UTC, kristof
no flags Details | Diff
knot.diff.txt (2.80 KB, text/plain; charset=us-ascii)
2013-10-14 14:51 UTC, Leo Vandewoestijne
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kristof 2013-10-07 14:00:01 UTC
The knot startup script (/usr/local/etc/rc.d/knotd) attempts to use knotc to start the daemon. This feature appears to have been removed in 1.3.2, and as a result the existing rc.d script is no longer able to start knotd.

 % sudo /usr/local/etc/rc.d/knotd start                     [14:50]
Starting knot.
knotc: invalid option -- w
Usage: knotc [parameters] <action>

How-To-Repeat: Update to the current package version (which packages knot 1.3.2: $FreeBSD: dns/knot/Makefile 328959 2013-10-01 16:02:12Z wg)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-08 03:15:36 UTC
Maintainer of dns/knot,

Please note that PR ports/182792 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182792

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-10-08 03:15:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 kristof 2013-10-10 16:42:48 UTC
I've solved the problem for me with the attached patch.

Regards,
Kristof
Comment 4 Leo Vandewoestijne 2013-10-14 14:51:28 UTC
On Tue, 08 Oct 2013, Edwin Groothuis wrote:

> Maintainer of dns/knot,
> 
> Please note that PR ports/182792 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182792
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org


I made enclosed patch to simplify the setup, and solve the startup problem.


-- 


Met vriendelijke groet,
With kind regards,


Leo Vandewoestijne.
AS50381 / DNS-Lab
Comment 5 Mark Linimon freebsd_committer 2013-10-14 19:49:34 UTC
State Changed
From-To: feedback->open

maintainer has responded with updated patch.
Comment 6 Leo Vandewoestijne 2013-11-05 12:31:28 UTC
Hi,


The status of this PR is still open,
however the problem was addressed and solved at the update to 1.3.2,
so this can be closed.


Thanks,


Leo Vandewoestijne
Comment 7 Mark Felder freebsd_committer 2013-11-05 19:42:18 UTC
State Changed
From-To: open->closed

Closing; problem addressed in ports/182524